Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following example shows the response of an API call to retrieve the details of a delivery format:
{ "processingTime": 0, "offset": 0, "limit": 0, "totalCount": 0, "objects": [ { "id": "980dfbc0-c7c0-4e24-ba47-4477bb9bf19c", "refId": "FMT9", "name": "XLSX_Workbook", "status": "ACTIVE" } ] }
The following table describes the parameters of each delivery format that is retrieved:
Parameter
Description
Offset
Start index for paginated results.
By default, offset is 0.
limit
Maximum number of results.
By default, limit is 50
totalCount
Total count of records that match the applied filters.
id
The system generated unique identifier of the delivery format.
refId
The reference identifier of the delivery format.
name
Name of the delivery format.
status
Status of the delivery format. This parameter can have one of the following values:
  • If the delivery format status is
    ACTIVE
    , the delivery format is available to Delivery Owners.
  • If the delivery format status is
    INACTIVE
    , the delivery format is not available to Delivery Owners.

0 COMMENTS

We’d like to hear from you!